Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.metaclass
Class MissingPropertyExceptionNoStack

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  groovy.lang.GroovyRuntimeException
                      groovy.lang.MissingPropertyException
                          org.codehaus.groovy.runtime.metaclass.MissingPropertyExceptionNoStack

All Implemented Interfaces:
  Serializable

    public class MissingPropertyExceptionNoStack

extends MissingPropertyException

See Also:
  Serialized Form

Field Summary

Fields inherited from class groovy.lang.MissingPropertyException
`MPE`

Constructor Summary
`MissingPropertyExceptionNoStack(String propertyName, Class theClass)`

Method Summary
`Throwable` | `fillInStackTrace()`

Methods inherited from class groovy.lang.MissingPropertyException
`getMessageWithoutLocationText, getProperty, getType`

Methods inherited from class groovy.lang.GroovyRuntimeException
`getLocationText, getMessage, getModule, getNode, setModule`

Methods inherited from class java.lang.Throwable
`getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MissingPropertyExceptionNoStack

    public MissingPropertyExceptionNoStack(String propertyName,
                                           Class theClass)

Method Detail

### fillInStackTrace

    public Throwable fillInStackTrace()

  Overrides:
    `fillInStackTrace` in class `Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD